Subject: Re: rm -R reports "circular reference"
From: [email-masked] (Geoffrey Noer)

19 Mar 1998 08:10:27 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Content-Type: text
To: [email-masked] (Weiqi Gao)
Cc: [email-masked]

Weiqi Gao wrote:
> 
> I encountered an error while trying to "rm -R" a directory tree.  rm
> reports "circular reference" in the directory structure.

If you are still using b18, that's a known bug that should be fixed in
b19.  The only problem I know about with inodes in b19 is that the inode
returned from d_ino is not equal to the inode returned from stat().
I don't think this should produce a circular reference problem though.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".